{% extends 'base.html.twig' %}

{% block title %}Welcome to Pizza-Plaza!{% endblock %}

{% block javascripts %}
{% endblock %}

{% block body %}
<div class="container">
	<div class="row">
		<div class="col">
			<table class="table table-sm table-striped mt-5" style="width: 500px;">
				<thead>
					<th width="5%" scope="col"></th>
					<th width="35%" scope="col">Name</th>
					<th width="20%" scope="col">Price</th>
					{# <th width="20%" scope="col">Quantity</th> #}
				</thead>
				<tbody>
					{% set total_price = 0 %}
					{% for pizza in pizzas %}
					<tr>
						<td>
						</td>
						<td>{{ pizza.name }}</td>
						<td>€ {{ pizza.price }}</td>
						{% set total_price = total_price + pizza.price %}
					</tr>
					<tr>
						<td colspan="5">
							<table class="table table-sm mb-0">
								<tbody>
									{% for extra_key, extras in pizza.extras %}
										<tr>
											<td width="20%" class="text-danger text-end"></td>
											<td width="20%">{{ extras.name }}</td>
											<td width="27%"></td>
											<td width="20%" class="text-start">€ {{ extras.price }}</td>
											<td width="60%">{% set total_price = total_price + extras.price %}</td>
										</tr>
									{% endfor %}
								</tbody>
							</table>
						</td>
					</tr>
					{% endfor %}
					<tfoot>
					{% if customer.street %}
						<tr class="delivery">
							<td class="text-start" colspan="2">Delivery Fee:</td>
							{% if total_price < 25.00 %}
								<td>€ <span id="total-fee"> 1.50</span></td>
								{% set total_price = total_price + 1.50 %}
							{% else %}
								<td>€ <span id="total-fee"> 0.00</span></td>
							{% endif %}
						</tr>
					{% endif %}
						<tr>
							<td class="text-start" colspan="2">Total Price:</td>
							<td>€ <span id="total-price" data-price="{{ total_price }}" >{{ total_price }}</span></td>
						</tr>
					</tfoot>
				</tbody>
			</table>
		</div>

		<div class="col">

			<div class="shadow p-3 mb-5 bg-body rounded mt-5" style="width: 500px;">
				<div class="col col-sm-12 col-md-12 col-lg-12 text-center pb-3">
					<h5><i>Customer Information</i></h5>
				</div>
				<form action="{{ path('delete-order', { 'id': customer.id }) }}" method="post">
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>First Name*</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="First Name" name="firstName" value="{{ customer.firstname }}" readonly>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>Last Name*</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="Last Name" name="lastName" value="{{ customer.lastname }}" readonly>
						</div>
					</div>
					{% if customer.street %}
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>City</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="City Name" name="city" value="{{ customer.city }}" readonly>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>Street</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="Street Name" name="street" value="{{ customer.street }}" readonly>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>Street No.</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="Street Number" name="streetNo" value="{{ customer.streetnumber }}" readonly>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>Zip</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="Zip Code" name="zip" value="{{ customer.zip }}" readonly>
						</div>
					</div>
					<div class="row mt-3">
						<div class="col-3 mb-3">
							<label>Phone</label>
						</div>
						<div class="col mb-3">
							<input type="text" class="form-control" placeholder="Phone Number" name="phone" value="{{ customer.phone }}" readonly>
						</div>
					</div>
					{% endif %}
					<div class="row text-center align-middle">
						<div class="col">
							<button type="submit" class="btn btn-danger">Delete Order</button>
						</div>
					</div>
				</form>
			</div>

		</div>

	</div>
</div>
{% endblock %}
